import { View, Image, Text } from "@tarojs/components";
import "./index.less";

const CategoryList = ({ categoryList }) => {
  return (
    <View className="category-wrap">
      <View className="category-list">
        {categoryList.map(item => (
          <View key={item.id} className="category-item">
            <Image className="category-icon" src={item.icon} mode="aspectFit" />
            <Text className="category-name">{item.name}</Text>
          </View>
        ))}
      </View>
    </View>
  );
};

export default CategoryList; 